source: branches/3.2/mindi-busybox/scripts/randomtest.loop @ 3232

Last change on this file since 3232 was 3232, checked in by bruno, 5 years ago
  • Update mindi-busybox to 1.21.1
  • Property svn:executable set to *
File size: 1.0 KB
Line 
1#!/bin/sh
2
3run_testsuite=true
4
5test -d "$1" || { echo "'$1' is not a directory"; exit 1; }
6test -x "$1/scripts/randomtest" || { echo "No scripts/randomtest in '$1'"; exit 1; }
7
8export LIBC="uclibc"
9export CROSS_COMPILER_PREFIX="i686-"
10export MAKEOPTS="-j9"
11
12cnt=0
13fail=0
14while sleep 1; do
15    echo "Passes: $cnt Failures: $fail"
16    dir="test.$$"
17    while test -e "$dir" -o -e "failed.$dir"; do
18        dir="test.$$.$RANDOM"
19    done
20    echo "Running randconfig test in $dir..."
21    if ! "$1/scripts/randomtest" "$1" "$dir" >/dev/null; then
22        mv -- "$dir" "failed.$dir"
23        echo "Failed build in: failed.$dir"
24        exit 1 # you may comment this out...
25        let fail++
26        continue
27    fi
28    if $run_testsuite; then
29        (
30            cd -- "$dir/testsuite" || exit 1
31            echo "Running testsuite in $dir..."
32            SKIP_KNOWN_BUGS=1 SKIP_INTERNET_TESTS=1 ./runtest -v >runtest.log 2>&1
33        )
34        if test $? != 0; then
35            echo "Failed runtest in $dir"
36            exit 1 # you may comment this out...
37            let fail++
38            continue
39        fi
40        tail -n10 -- "$dir/testsuite/runtest.log"
41    fi
42    rm -rf -- "$dir"
43    let cnt++
44done
Note: See TracBrowser for help on using the repository browser.